Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class ProgressAssistant

    public interface class ProgressAssistant

Allows an upgrade action to record its progress.

(Unpublished)

Method Summary
`java.lang.String` | `getPostUpgradeProgress()` Gets a characterization of the upgrade action's progress within the post-upgrade phase.
`java.lang.String` | `getPreUpgradeProgress()` Gets a characterization of the upgrade action's progress within the pre-upgrade phase.
`java.util.Date` | `getProgressLastModified()` Gets the time the progress of the upgrade action was last updated.
`java.lang.Integer` | `getProgressPercentage()` Gets an estimate of the upgrade action's progress in the current upgrade phase, as an integer percentage.
`java.lang.String` | `getUpgradeProgress()` Gets a characterization of the upgrade action's progress within the upgrade phase.
`void` | `setPostUpgradeProgress(java.lang.String progress)` Sets a characterization of the upgrade action's progress within the post-upgrade phase.
`void` | `setPreUpgradeProgress(java.lang.String progress)` Sets a characterization of the upgrade action's progress within the pre-upgrade phase.
`void` | `setProgressPercentage(java.lang.Integer progressPercentage)` Sets an estimate of the upgrade action's progress in the current upgrade phase, as an integer percentage.
`void` | `setUpgradeProgress(java.lang.String progress)` Sets a characterization of the upgrade action's progress within the upgrade phase.

Method Detail

### setPreUpgradeProgress

    void setPreUpgradeProgress(java.lang.String progress)
                               throws IfsException

  Description copied from interface: `ProgressAssistant`
  Sets a characterization of the upgrade action's progress within the pre-upgrade phase.

  The specified value is action-specific, for example "`2983 of 2983 rows pre-upgraded`" if the pre-upgrade phase were complete.

  Parameters:
    `progress` - the pre-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPreUpgradeProgress

    java.lang.String getPreUpgradeProgress()
                                           throws IfsException

  Description copied from interface: `ProgressAssistant`
  Gets a characterization of the upgrade action's progress within the pre-upgrade phase.

  Returns:
    the pre-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setUpgradeProgress

    void setUpgradeProgress(java.lang.String progress)
                            throws IfsException

  Description copied from interface: `ProgressAssistant`
  Sets a characterization of the upgrade action's progress within the upgrade phase.

  The specified value is action-specific, for example "`321 of 2983 rows upgraded`" if the upgrade phase were underway.

  Parameters:
    `progress` - the upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpgradeProgress

    java.lang.String getUpgradeProgress()
                                        throws IfsException

  Description copied from interface: `ProgressAssistant`
  Gets a characterization of the upgrade action's progress within the upgrade phase.

  Returns:
    the upgrade progress
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setPostUpgradeProgress

    void setPostUpgradeProgress(java.lang.String progress)
                                throws IfsException

  Description copied from interface: `ProgressAssistant`
  Sets a characterization of the upgrade action's progress within the post-upgrade phase.

  The specified value is action-specific, for example "`0 of 2983 rows post-upgraded`" if the post-upgrade phase were not yet started.

  Parameters:
    `progress` - the post-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPostUpgradeProgress

    java.lang.String getPostUpgradeProgress()
                                            throws IfsException

  Description copied from interface: `ProgressAssistant`
  Gets a characterization of the upgrade action's progress within the post-upgrade phase.

  Returns:
    the post-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setProgressPercentage

    void setProgressPercentage(java.lang.Integer progressPercentage)
                               throws IfsException

  Description copied from interface: `ProgressAssistant`
  Sets an estimate of the upgrade action's progress in the current upgrade phase, as an integer percentage.

  Parameters:
    `progressPercentage` - within the current upgrade phase, the upgrade action's percent complete, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProgressPercentage

    java.lang.Integer getProgressPercentage()
                                            throws IfsException

  Description copied from interface: `ProgressAssistant`
  Gets an estimate of the upgrade action's progress in the current upgrade phase, as an integer percentage.

  Returns:
    within the current upgrade phase, the upgrade action's percent complete, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProgressLastModified

    java.util.Date getProgressLastModified()
                                           throws IfsException

  Description copied from interface: `ProgressAssistant`
  Gets the time the progress of the upgrade action was last updated.

  Returns:
    the time the progress was last updated
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD